<?php

namespace NFE;

class NFE
{

    // Atributos da classe
    private $baseICMS;
    private $aliquotaICMS;
    private $valorICMS;
    private $valorBaseST;
    private $valorICMSST;
    private $valoresImpostoManual;
    private $icmstotal

    // Construtor para inicializar os atributos
    public function __construct($baseICMS, $aliquotaICMS , $valorICMS , $valorBaseST , $valorICMSST , $valoresImpostoManual,$icmstotal) {
        $this->baseICMS = $baseICMS;
        $this->aliquotaICMS = $aliquotaICMS;
        $this->valorICMS = $valorICMS;
        $this->valorBaseST = $valorBaseST;
        $this->valorICMSST = $valorICMSST;
        $this->valoresImpostoManual = $valoresImpostoManual;
        $this->icmstotal = $icmstotal;
  
    }

    // Métodos para obter os valores dos atributos
    public function getBaseICMS() {
        return $this->baseICMS;
    }

    public function getAliquotaICMS() {
        return $this->aliquotaICMS;
    }

    public function getValorICMS() {
        return $this->valorICMS;
    }

    public function getValorBaseST() {
        return $this->valorBaseST;
    }

    public function getValorICMSST() {
        return $this->valorICMSST;
    }

    public function getValoresImpostoManual() {
        return $this->valoresImpostoManual;
    }

    // Métodos para definir os valores dos atributos
    public function setBaseICMS($baseICMS) {
        $this->baseICMS = $baseICMS;
    }

    public function setAliquotaICMS($aliquotaICMS) {
        $this->aliquotaICMS = $aliquotaICMS;
    }

    public function setValorICMS($valorICMS) {
        $this->valorICMS = $valorICMS;
    }

    public function setValorBaseST($valorBaseST) {
        $this->valorBaseST = $valorBaseST;
    }

    public function setValorICMSST($valorICMSST) {
        $this->valorICMSST = $valorICMSST;
    }

    public function setValoresImpostoManual($valoresImpostoManual) {
        $this->valoresImpostoManual = $valoresImpostoManual;
    }

}

// Criação de uma instância da classe Mercadoria com os dados especificados
$mercadoria = new NFE(7.77, 25, 2, 10, 2.5, 1);


// Acessando os valores da instância
echo "Base ICMS: " . $mercadoria->getBaseICMS() . "\n";
echo "Alíquota ICMS: " . $mercadoria->getAliquotaICMS() . "%\n";
echo "Valor ICMS: " . $mercadoria->getValorICMS() . "\n";
echo "Valor Base ST: " . $mercadoria->getValorBaseST() . "\n";
echo "Valor ICMS ST: " . $mercadoria->getValorICMSST() . "\n";
echo "Valores de Imposto Manual: " . $mercadoria->getValoresImpostoManual() . "\n";
